curl --request GET \
--url https://api.kajabi.com/v1/podcasts \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"type": "podcasts",
"attributes": {
"title": "<string>",
"description": "<string>",
"language": "<string>",
"owner_email": "<string>",
"author": "<string>",
"status": "ready",
"show_type": "episodic",
"thumbnail_url": "<string>",
"cover_art_url": "<string>",
"categories": [
"<string>"
],
"directories": [
{
"id": "<string>",
"url": "<string>",
"config": {}
}
],
"migrated_to_url": "<string>",
"migrated": true,
"public": true,
"ready": true,
"distribution_ready": true,
"url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"site": {
"data": {
"id": "<string>",
"type": "<string>"
}
}
}
}
],
"links": {
"self": "<string>",
"first": "<string>",
"prev": "<string>",
"next": "<string>",
"last": "<string>"
},
"meta": {
"total_pages": 123,
"total_count": 123,
"current_page": 123
}
}Podcasts for a site
Use page[number] and page[size] parameters to paginate results:
GET /v1/podcasts?page[number]=1&page[size]=10GET /v1/podcasts?page[number]=2&page[size]=25The response includes pagination links and meta data:
{
"links": {
"self": "https://api.kajabi.com/v1/podcasts?page[number]=2&page[size]=10",
"first": "https://api.kajabi.com/v1/podcasts?page[number]=1&page[size]=10",
"prev": "https://api.kajabi.com/v1/podcasts?page[number]=1&page[size]=10",
"next": "https://api.kajabi.com/v1/podcasts?page[number]=3&page[size]=10",
"last": "https://api.kajabi.com/v1/podcasts?page[number]=5&page[size]=10"
},
"meta": {
"total_pages": 5,
"total_count": 50,
"current_page": 2
}
}
Use the sort parameter to sort the results:
GET /v1/podcasts?sort=titleGET /v1/podcasts?sort=-titleResponse will include podcasts sorted by the specified field
{
"data": [
{
"id": "123",
"type": "podcasts",
"attributes": {
"title": "My Podcast A",
"description": "A great podcast about technology"
}
},
{
"id": "456",
"type": "podcasts",
"attributes": {
"title": "My Podcast B",
"description": "Another great podcast about business"
}
}
]
}
Use the fields[podcasts] parameter to request only specific attributes:
GET /v1/podcasts?fields[podcasts]=title,descriptionResponse will only include requested fields
{
"data": [{
"id": "123",
"type": "podcasts",
"attributes": {
"title": "My Podcast A",
"description": "A great podcast about technology"
}
}]
}
Use the filter[site_id] parameter to get podcasts for a specific site:
GET /v1/podcasts?filter[site_id]=123Response will only include podcasts for that site
{
"data": [{
"id": "456",
"type": "podcasts",
"attributes": {
"title": "My Podcast",
"description": "A great podcast"
}
}]
}
curl --request GET \
--url https://api.kajabi.com/v1/podcasts \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"type": "podcasts",
"attributes": {
"title": "<string>",
"description": "<string>",
"language": "<string>",
"owner_email": "<string>",
"author": "<string>",
"status": "ready",
"show_type": "episodic",
"thumbnail_url": "<string>",
"cover_art_url": "<string>",
"categories": [
"<string>"
],
"directories": [
{
"id": "<string>",
"url": "<string>",
"config": {}
}
],
"migrated_to_url": "<string>",
"migrated": true,
"public": true,
"ready": true,
"distribution_ready": true,
"url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"site": {
"data": {
"id": "<string>",
"type": "<string>"
}
}
}
}
],
"links": {
"self": "<string>",
"first": "<string>",
"prev": "<string>",
"next": "<string>",
"last": "<string>"
},
"meta": {
"total_pages": 123,
"total_count": 123,
"current_page": 123
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Filter by site ID, for example ?filter[site_id]=123
Filter by exact title match, for example ?filter[title_eq]=My Podcast
Filter by title containing text, for example ?filter[title_cont]=technology
Filter by status, for example ?filter[status_eq]=ready
Filter by show type, for example ?filter[show_type_eq]=episodic
Sort results by field, for example ?sort=title or ?sort=-title (descending)
Page number for pagination, for example ?page[number]=1
Number of items per page, for example ?page[size]=10
Comma-separated list of fields to include, for example ?fields[podcasts]=title,description
Was this page helpful?